package com.redhat.jboss.support.reader;

import java.io.Serializable;
import javax.inject.Inject;
import javax.batch.runtime.context.JobContext;
import javax.enterprise.context.Dependent;
import javax.inject.Named;
import javax.batch.api.chunk.ItemReader;

@Named("MyReader")
@Dependent
public class MyReader implements ItemReader
{
    @Inject
    JobContext jobCtx;
    private int num;
    
    public void open(final Serializable checkpoint) throws Exception {
        System.out.println("MyReader#open() jobName=" + this.jobCtx.getJobName());
    }
    
    public void close() throws Exception {
        System.out.println("MyReader#close()");
    }
    
    public Object readItem() throws Exception {
        System.out.println("MyReader#readItem()");
        final String ret = "Data" + String.valueOf(this.num++);
        System.out.println("ret=" + ret);
        if (this.num > 5) {
            return null;
        }
        return ret;
    }
    
    public Serializable checkpointInfo() throws Exception {
        System.out.println("MyReader#checkpointInfo()");
        return null;
    }
}
